function Val = PlotGraph_all(data,dimLength, dims)

%%
   if nargin < 2
       dimLength = [1:10];
   end
   if nargin < 3
       dims = 2;
   end
   numData = size(data);
   numData = numData(1);

  %%%%% Plot two-dimensional configuration %%%%%
  twod = dims;
  if ~isempty(twod)
      fig = figure;
      axes1 = axes('Visible', 'on', 'Parent', fig);
      hold on; 
      plot(data{1}.coords{twod}(1,:), data{1}.coords{twod}(2,:), 'bo');
      plot(data{2}.coords{twod}(1,:), data{2}.coords{twod}(2,:), 'go');
      plot(data{3}.coords{twod}(1,:), data{3}.coords{twod}(2,:), 'bx');
      plot(data{4}.coords{twod}(1,:), data{4}.coords{twod}(2,:), 'co'); 
      plot(data{5}.coords{twod}(1,:), data{5}.coords{twod}(2,:), 'cx');
      plot(data{6}.coords{twod}(1,:), data{6}.coords{twod}(2,:), 'g+');
      plot(data{7}.coords{twod}(1,:), data{7}.coords{twod}(2,:), 'rx');
      plot(data{8}.coords{twod}(1,:), data{8}.coords{twod}(2,:), 'ro');  
      plot(data{9}.coords{twod}(1,:), data{9}.coords{twod}(2,:), 'r+');
      plot(data{10}.coords{twod}(1,:), data{10}.coords{twod}(2,:), 'gx');        
           
      title([num2str(dims),'th Dimensional Embedding']);
      hold off;
  end
  val = 1;
end
